
Foreman - Bug #189

Fact filter should be case sensitive

03/23/2010 02:15 PM - Dis Connect

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Search   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

irb(main):011:0> gethosts(query = { "fact" => { "kernel" => "LiNUx" }, "state" => "all"}).length

=> 205

Should return nil

Associated revisions

Revision 34a46056 - 03/25/2010 02:39 PM - Ohad Levy

fixes #189 - Fact filter should be case sensitive

History

#1 - 03/25/2010 02:40 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 34a4605629c9fe2f1ba4603467ab259b710d5dda.

#2 - 03/25/2010 02:42 PM - Ohad Levy

- Assignee set to Ohad Levy

- Target version set to 0.1-5

#3 - 03/25/2010 02:47 PM - Dis Connect

According to my testcase it is fixed.

#4 - 03/25/2010 02:50 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

#5 - 10/16/2018 01:31 PM - Tomer Brisker

- Category changed from 19 to Search
